# CppExpressionGenerator::ExpressionInfo Struct Reference

`#include <cppexprgenerator.h>`

List of all members.

## Public Attributes

ExpressionNode * | expr
int | ctxtype
NEDElement * | submoduleTypeDecl
std::string | name
NEDElementVector | ctorargs
NEDElementVector | cachedvars

## Member Data Documentation

NEDElementVector CppExpressionGenerator::ExpressionInfo::cachedvars

NEDElementVector CppExpressionGenerator::ExpressionInfo::ctorargs

int CppExpressionGenerator::ExpressionInfo::ctxtype

ExpressionNode* CppExpressionGenerator::ExpressionInfo::expr

std::string CppExpressionGenerator::ExpressionInfo::name

NEDElement* CppExpressionGenerator::ExpressionInfo::submoduleTypeDecl

The documentation for this struct was generated from the following file:

- cppexprgenerator.h